Bug 973590 - NPE when rollesAllowed not configured
NPE when rollesAllowed not configured
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER1
: ---
Assigned To: David Ward
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 05:28 EDT by Jiri Pechanec
Modified: 2014-06-16 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1414 Major Closed Add ability to reference named security sections 2014-06-16 19:47:56 EDT

  None (edit)
Description Jiri Pechanec 2013-06-12 05:28:02 EDT
Conditions
 - an authorization is required for a service
 - rolesAllowed is not configured in security setting

Result
 - A NPE is thrown at JaasSecurityProvider.checkRolesAllowed when calling rolesAllowed.isEmpty()
Comment 1 David Ward 2013-06-24 12:26:24 EDT
This is no longer a bug.  It was reported on 2013-06-12.

As part of the "SWITCHYARD-1414: Add ability to reference named security sections" jira, a change was made such that this NPE is no longer possible: http://goo.gl/zWaEx .  You can see that the _rolesAllowed Set is now pre-initialized, and added to in the set at config time (which is why it doesn't have to be synchronized): http://goo.gl/uVTOc .
Comment 2 Jiri Pechanec 2013-09-18 01:30:38 EDT
Verified in ER2
Comment 6 JBoss JIRA Server 2014-06-16 19:47:57 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1414 to Closed

Note You need to log in before you can comment on or make changes to this bug.